Package org.springframework.jdbc.datasource.embedded

# Interface DataSourceFactory

public interface DataSourceFactory
`DataSourceFactory` encapsulates the creation of a particular `DataSource` implementation such as a non-pooling `SimpleDriverDataSource` or a HikariCP pool setup in the shape of a `HikariDataSource`.

Call `getConnectionProperties()` to configure normalized `DataSource` properties before calling `getDataSource()` to actually get the configured `DataSource` instance.

Since:
  3.0
Author:
  Keith Donald, Sam Brannen

## Method Summary

Modifier and Type
Method
Description
`ConnectionProperties`
`getConnectionProperties()`
Get the connection properties of the `DataSource` to be configured.
`DataSource`
`getDataSource()`
Get the `DataSource` with the connection properties applied.

## Method Details

### getConnectionProperties

ConnectionProperties getConnectionProperties()
Get the connection properties of the `DataSource` to be configured.

### getDataSource

DataSource getDataSource()
Get the `DataSource` with the connection properties applied.